import request from '@/utils/request'

export function getProgressList() {
  return request({
    url: '/portal/progress/list',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getProjectList() {
  return request({
    url: '/portal/progress/projects',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getMilestoneList() {
  return request({
    url: '/portal/progress/milestones',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getProgressStats() {
  return request({
    url: '/portal/progress/stats',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getImplementationProgress() {
  return request({
    url: '/portal/progress/implementation',
    method: 'get',
    headers: {
      isToken: false
    }
  })
}

export function getProgressDetail(id) {
  return request({
    url: '/portal/progress/' + id,
    method: 'get',
    headers: {
      isToken: false
    }
  })
}
